Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Assembly_Placement Namespace Reference

## Compounds
struct | _register_info
struct | _register_info
class | componentinstantiation
class | Container
class | homeplacement
class | hostcollocation
class | Node
class | Placement_Visitor
class | processcollocation
class | Visitor
## Typedefs
typedef enum CIAO::Assembly_Placement::_nodetype | Node_Type
## Enumerations
enum | _nodetype { INVALID_NODE, INVALID_CONTAINER, HOST, PROCESS, HOME, COMPONENT }

## Typedef Documentation

typedef enum CIAO::Assembly_Placement::_nodetype CIAO::Assembly_Placement::Node_Type

## Enumeration Type Documentation

enum CIAO::Assembly_Placement::_nodetype

  | Enumeration values:
  INVALID_NODE |
  INVALID_CONTAINER |
  HOST |
  PROCESS |
  HOME |
  COMPONENT |